# Source for file Module.php

Documentation is available at Module.php

1. <?php
2. /*
3. * $Id: Module.php 1080 2007-02-10 18:17:08Z romanb $
4. *
5. * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
6. * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
7. * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
8. * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
9. * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
10. * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
11. * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
12. * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
13. * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
14. * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
15. * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
16. *
17. * This software consists of voluntary contributions made by many individuals
18. * and is licensed under the LGPL. For more information, see
19. * <http://www.phpdoctrine.com>.
20. */
21. /**
22. * Doctrine_Connection_Module
23. *
24. * @package Doctrine
25. * @license http://www.opensource.org/licenses/lgpl-license.php LGPL
26. * @category Object Relational Mapping
27. * @link www.phpdoctrine.com
28. * @since 1.0
29. * @version $Revision: 1080 $
30. * @author Konsta Vesterinen <kvesteri@cc.hut.fi>
31. */
32. class Doctrine_Connection_Module
33. {
34. /**
35. * @var Doctrine_Connection $conn Doctrine_Connection object, every connection
36. * module holds an instance of Doctrine_Connection
37. */
38. protected $conn;
39. /**
40. * @var string $moduleName the name of this module
41. */
42. protected $moduleName;
43. /**
44. * @param Doctrine_Connection $conn Doctrine_Connection object, every connection
45. * module holds an instance of Doctrine_Connection
46. */
47. public function __construct($conn = null)
48. {
49. if ( ! ($conn instanceof Doctrine_Connection)) {
50. $conn = Doctrine_Manager::getInstance()->getCurrentConnection();
51. }
52. $this->conn = $conn;
54. $e = explode('_', get_class($this));
56. $this->moduleName = $e[1];
57. }
58. /**
59. * getConnection
60. * returns the connection object this module uses
61. *
62. * @return Doctrine_Connection
63. */
64. public function getConnection()
65. {
66. return $this->conn;
67. }
68. /**
69. * getModuleName
70. * returns the name of this module
71. *
72. * @return string the name of this module
73. */
74. public function getModuleName()
75. {
76. return $this->moduleName;
77. }
78. }